-- 命魂系统
checkRequire("Lua_RuneAllPanel"); -- 灵纹
checkRequire("Lua_GatherSoulPanel"); -- 聚魂
checkRequire("Lua_StampPanel"); -- 魂印
Lua_LifeSoulWindow = class("Lua_LifeSoulWindow", Lua_FullSizeTabWindow);
function Lua_LifeSoulWindow:ctor()
	self.list = Array();
	self.list:add({name = LanUtil.getValue(128546), eventIds = {11175,22033,22033}, openId = 10002, panel = Lua_RuneAllPanel, titleAltas = "titleName_altas_1", titleSprite = "lingwen"});
	self.list:add({name = LanUtil.getValue(124400), eventIds = {11179,22017,11180,22035}, openId = 10112, panel = Lua_GatherSoulPanel, titleAltas = "titleName_altas_1", titleSprite = "juhun"});
	self.list:add({name = LanUtil.getValue(128547), eventIds = {22024,22025,22026,22027,22028,22029}, openId = 10161, panel = Lua_StampPanel, titleAltas = "titleName_altas_1", titleSprite = "hunying"});
	
	self:superCall("ctor", self.list);
	self.windowName = "Lua_LifeSoulWindow";
end

function Lua_LifeSoulWindow:showWin(param)
	if type(param) == "table" then
		if param.nameIndex ~= nil then
			DataCenter.runeData.selectIndex = param.nameIndex;
		end

		if param.openIdx ~= nil then
			self.isSetIndex = true;
			self.btnList:setSelected(param.openIdx, true);
		end
	elseif type(param) == "number" then
		self.isSetIndex = true;
		self.btnList:setSelected(param, true);
	end
end

function Lua_LifeSoulWindow:dispose()
	DataCenter.runeData.selectIndex = 1;
	self:superCall("dispose");
end