-- 属性加成
Lua_GatherSoulPropertyWindow = class("Lua_GatherSoulPropertyWindow", Lua_Window);
function Lua_GatherSoulPropertyWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GatherSoulPropertyWindow";
	self.skinName = "GatherSoulProperty_skin";
	self.isClickClose = true;
	self.blackAlpha = 1 / 255;
	self.showClose = false;
end

function Lua_GatherSoulPropertyWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.textArea = Lua_TextArea.new(self.content, 374, 305);
	self.textArea.insideItem.label.spacingY = 5;
	self.textArea:setLocation(-67, 68, 0);
	self.textArea:setText(DataCenter.gatherSoulData.genAttName);
end

function Lua_GatherSoulPropertyWindow:dispose()
	if self.textArea ~= nil then
		self.textArea:dispose();
		self.textArea = nil;
	end

	self:superCall("dispose");
end
