-- 魂印属性加成
Lua_SeampAllAttributeWindow = class("Lua_SeampAllAttributeWindow", Lua_Window);
function Lua_SeampAllAttributeWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_SeampAllAttributeWindow";
	self.skinName = "StampAllAttribute_skin";
	self.blackAlpha = 1 / 255;
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_SeampAllAttributeWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.textArea = Lua_TextArea.new(self.content, 374, 305);
	self.textArea.insideItem.label.spacingY = 5;
	self.textArea:setLocation(-67, 68, 0);
	self.textArea:setText(DataCenter.stampData.getShowAllAtt);
end

function Lua_SeampAllAttributeWindow:showWin(param)
	self:superCall("showWin");
	
	if param ~= nil and self.textArea ~= nil then
		self.textArea:setText(param);
	end
end

function Lua_SeampAllAttributeWindow:dispose()
	if self.textArea ~= nil then
		self.textArea:dispose();
		self.textArea = nil;
	end

	self:superCall("dispose");
end